%define gnome_python2_version 1.99.13

Name:		gnome-blog
Summary:	GNOME panel object for posting blog entries
Version: 0.9
Release: 3mdk
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/~seth/gnome-blog/
Source0:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-python-applet >= %{gnome_python2_version}
Requires:	gnome-python-gconf  >= %{gnome_python2_version}

BuildRequires:  pygtk2.0-devel >= %{gnome_python2_version}
BuildREquires: perl-XML-Parser
BuildREquires: ImageMagick
BuildArch: noarch

%description
GNOME panel object that allows convenient posting of blog entries to
any blog that supports the bloggerAPI.

%prep
%setup -q
 
%build

./configure --prefix=%_prefix --libdir=%_libdir --libexecdir=%_libdir --sysconfdir=%_sysconfdir
#remove generated files
rm -f GNOME_BlogApplet.server GNOME_BlogApplet.server.in 

%make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p $RPM_BUILD_ROOT%{_menudir}/

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
        needs="X11" \
        section="Networking/Other" \
        title="Blog Entry Poster" \
        longtitle="Post an entry to a web log" \
        command="%{_bindir}/gnome-blog-poster" \
        icon="gnome-blog.png" \
        startup_notify="true"
EOF

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %{buildroot}%{_datadir}/pixmaps/gnome-blog.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 %{buildroot}%{_datadir}/pixmaps/gnome-blog.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 %{buildroot}%{_datadir}/pixmaps/gnome-blog.png %{buildroot}%{_miconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeblog.schemas > /dev/null
%{update_menus}

%postun
%{clean_menus}

%preun 
if [ "$1" = "0" ]; then
	GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomeblog.schemas > /dev/null
fi

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README 
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/applications/*.desktop
%{_libdir}/bonobo/servers/*.server
%{_libdir}/python*/site-packages/*
%{_libdir}/blog_applet.py
%{_menudir}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Apr 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix buildrequires

* Mon Apr 11 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- make it noarch
- fix buildrequires

* Thu Mar 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk 
- Release 0.9

* Mon Mar 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk 
- Fix .server file
- Uninstall schema when removing package

* Wed Feb 08 2005 Jerome Soyer <saispo@mandrake.org> 0.8-2mdk
- Ooops fix spec error !

* Tue Feb 08 2005 Jerome Soyer <saispo@mandrake.org> 0.8-1mdk
- New release

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.7-2mdk
- Rebuild for new python

* Wed Sep 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- First mdk package

* Thu Aug 14 2003 William Jon McCann <mccann@jhu.edu>
- Don't install Rhythmbox.h.
